=== debian/changelog ===
fcgi-cgi (0.2.2-2) unstable; urgency=low

  * backport to debhelper/compat 7

 -- Stefan Bühler <stbuehler@web.de>  Sun, 21 Jul 2013 14:24:37 +0200

fcgi-cgi (0.2.2-1) unstable; urgency=low

  * make README a proper formatted README.rst
  * [cmake] improve libev handling
  * [cmake] fix macros, glib2 including and libev cflags
  * fix description in command line help/version
  * wait for proper connection close
  * copy PATH environment variable

 -- Stefan Bühler <stbuehler@web.de>  Sun, 21 Jul 2013 13:42:48 +0200

fcgi-cgi (0.2.1-2) unstable; urgency=low

  * backport to compat 8, hardening flags

 -- Stefan Bühler <stbuehler@web.de>  Sat, 25 May 2013 13:40:47 +0200

fcgi-cgi (0.2.1-1) unstable; urgency=low

  * New upstream release
    + clear environment after request end
    + close stdin after writing request body

 -- Stefan Bühler <stbuehler@web.de>  Thu, 23 May 2013 18:02:06 +0200

fcgi-cgi (0.2.0-1) unstable; urgency=low

  * Handle requests after the first one (fixing keep-alive)

 -- Stefan Bühler <stbuehler@web.de>  Sat, 18 May 2013 18:18:18 +0200

fcgi-cgi (0.1.8-1) unstable; urgency=low

  * New upstream release
    + [cmake] fix link object/lib order
    + remove stropts.h include

 -- Stefan Bühler <source@stbuehler.de>  Thu, 28 Oct 2010 21:45:00 +0000

fcgi-cgi (0.1.7-1) unstable; urgency=low

  * Backport to debhelper 5
  * New upstream release
    + Fix libev check for libev4
    + [cmake] remove check for c++

 -- Stefan Bühler <source@stbuehler.de>  Thu, 28 Oct 2010 19:14:39 +0000

fcgi-cgi (0.1.5-1) unstable; urgency=low

  * New upstream release
    + Reenable accepting connections after hitting the limit (fixes #2195)
    + Add commandline options (-c)
    + Add man page

 -- Stefan Bühler <source@stbuehler.de>  Fri, 07 May 2010 20:53:57 +0000

fcgi-cgi (0.1.4-1) unstable; urgency=low

  * New upstream release
    + Re-enable child in/err pipes after fcgi con close

 -- Stefan Bühler <source@stbuehler.de>  Wed, 06 Jan 2010 16:27:47 +0000

fcgi-cgi (0.1.3-1) unstable; urgency=low

  * Use GByteArray instead of GString, read padding bytes in normal reads()
    and skip them

 -- Stefan Bühler <source@stbuehler.de>  Wed, 11 Nov 2009 20:38:32 +0000

fcgi-cgi (0.1.2-1) unstable; urgency=low

  * Fast chdir() fix - broke everything...

 -- Stefan Bühler <source@stbuehler.de>  Wed, 11 Nov 2009 15:23:28 +0000

fcgi-cgi (0.1.1-1) unstable; urgency=low

  * Some upstream fixes (issues with POST requests)
  * chdir() before exec()

 -- Stefan Bühler <source@stbuehler.de>  Wed, 11 Nov 2009 15:08:42 +0000

fcgi-cgi (0.1.0-1) unstable; urgency=low

  * Initial release

 -- Stefan Bühler <source@stbuehler.de>  Sun, 13 Sep 2009 17:56:48 +0000

fcgi-cgi (0.1.0-0) unstable; urgency=low

  * Initial release 

 -- Stefan Bühler <source@stbuehler.de>  Sun, 13 Sep 2009 17:56:31 +0000
