=== debian/control ===
Source: fcgi-cgi
Section: web
Priority: extra
Maintainer: Stefan Bühler <stbuehler@web.de>
Build-Depends: debhelper (>= 7), cmake, libglib2.0-dev, libev-dev, cdbs
Standards-Version: 3.9.4
Homepage: http://redmine.lighttpd.net/projects/fcgi-cgi

Package: fcgi-cgi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FastCGI application to run cgi applications
 FastCGI application to run cgi applications; this allows one to run
 cgi applications with different user permissions than the webserver
 without using suExec wrappers.
 And the webserver doesn't need to fork, and it may be easier to get
 the webserver running in a chroot.

Package: fcgi-cgi-dbg
Architecture: any
Section: debug
Priority: extra
Depends: fcgi-cgi (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: FastCGI application to run cgi applications
 FastCGI application to run cgi applications; this allows one to run
 cgi applications with different user permissions than the webserver
 without using suExec wrappers.
 And the webserver doesn't need to fork, and it may be easier to get
 the webserver running in a chroot.
